Skip to main content

Fund Profile

Retrieve detailed profile information for a specific mutual fund in the Pakistani market.

GET/3.0/fund/profile

Description

This endpoint returns comprehensive profile information about a specific mutual fund including fund type, risk profile, fees, ratings, and other operational details.

Request

Authentication

  • Type: Bearer Token
  • Required: Yes

Parameters

ParameterTypeRequiredDescription
fund_idstringYesUnique fund identifier to retrieve specific fund profile

Response

Success Response (200)

{
"status": "ok",
"message": "",
"data": {
"id": "a8230f1e-986e-4866-8fd0-e1e54229d8b1",
"amc_id": "c4f54d48-7c96-4619-acd9-fc2ea1752d53",
"status": 1,
"fund_type": "Open - Ended Fund",
"class": "",
"type": "",
"objective": "To generate returns on investment as per the respective allocation plan by investing in mutual funds in line with the risk tolerance of the investor.",
"risk_profile": "Medium to High",
"registrar": "Digital Custodian Company Limited",
"auditors": "Yousuf Adil - Chartered Accountants",
"benchmark": "Weighted average return of KSE 100 Index and average 6 month deposit rate of three Banks",
"fund_manager": "Mr Ali Ahmed Tiwana",
"listing": "Pakistan Stock Exchange",
"dealing_days": [
{
"day": "Mon - Fri",
"cot": "4:00 PM"
}
],
"rating": {
"rt": "N/A",
"ol": "Positive",
"ag": "",
"dt": "2021-12-31"
},
"pricing_mechanism": "Forward",
"minimum_investment": 0,
"total_expense_ratio": 0.0058,
"management_fee": 0.01,
"selling_marketing_fee": 0.0025,
"front_end_load": 0,
"backend_end_load": 0,
"contingent_load": 0,
"trustee_code": "DCC"
}
}

Response Fields

FieldTypeDescription
idstringUnique fund identifier (UUID)
amc_idstringAsset Management Company ID
statusintFund status (e.g., 1, 0)
fund_typestringFund type (e.g., Open-Ended Fund)
classstringFund class
typestringFund type classification
objectivestringFund objective/investment goal
risk_profilestringRisk profile (Low, Medium, High, Medium to High)
registrarstringRegistrar name
auditorsstringAuditor name
benchmarkstringBenchmark description
fund_managerstringFund Manager name(s)
listingstringListing location
dealing_daysarrayDealing days and cut-off times - View
ratingobjectRating information - View
pricing_mechanismstringPricing mechanism (Backward/Forward)
minimum_investmentnumberMinimum investment amount
total_expense_rationumberTotal Expense Ratio
management_feenumberManagement fee percentage
selling_marketing_feenumberSelling and marketing fee percentage
front_end_loadnumberFront-end load percentage
backend_end_loadnumberBack-end load percentage
contingent_loadnumberContingent load percentage
trustee_codestringTrustee code (i.e. CDC, DCC)

Dealing Days

FieldTypeDescription
daystringDealing day(s) (e.g., Mon - Fri)
cotstringCut-off time for transactions

Rating Fields

FieldTypeDescription
rtstringCredit rating (e.g., AA+(f), N/A)
olstringOutlook of the rating (Stable, Positive, Negative)
agstringRating agency code (PACRA, VIS, etc.)
dtstringDate of rating (YYYY-MM-DD)

Error Responses

For detailed Common Error responses, see the Error Handling.

Examples

GET Fund Profile by ID

curl -X GET "https://csapis.com/3.0/fund/profile?fund_id=2602024a-9498-4898-ad61-eafc66dbe09a" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases

  • Fund Analysis: Get comprehensive details about a specific mutual fund
  • Risk Assessment: Review fund's risk profile and ratings
  • Fee Comparison: Compare expense ratios and fees
  • Operational Details: Understand dealing days, cut-off times, and fund managers